package com.xhkjedu.slive.vo.liveplay;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @ClassName CourseTypeVo
 * Description TODO 直播分类
 * Author WN
 * Date 2021/1/23 15:50
 **/
@Data
public class CourseTypeVo {

    //直播课程分类表id
    private Integer ctypeid;

    //分类名称
    private String typename;

    //分类下课程
    private List<CourseVo> courselist = new ArrayList<>();

    public CourseTypeVo() {
    }

    public CourseTypeVo(Integer ctypeid, String typename, Integer typeorder) {
        this.ctypeid = ctypeid;
        this.typename = typename;
    }

    public CourseTypeVo(Integer ctypeid, String typename, List<CourseVo> courselist) {
        this.ctypeid = ctypeid;
        this.typename = typename;
        this.courselist = courselist;
    }
}
